# Uses of Class
org.eclipse.draw2d.UpdateManager

Packages that use UpdateManager
Package
Description
org.eclipse.draw2d
Primary package containing general interfaces and implementation classes.

## Uses of UpdateManager in org.eclipse.draw2d

Subclasses of UpdateManager in org.eclipse.draw2d
Modifier and Type
Class
Description
`class`
`DeferredUpdateManager`
An UpdateManager that asynchronously updates the affected figures.
`class`
`SubordinateUpdateManager`
Deprecated.
this class is not used
Fields in org.eclipse.draw2d declared as UpdateManager
Modifier and Type
Field
Description
`protected static final UpdateManager`
Figure.`NO_MANAGER`
An UpdateManager that does nothing.
Methods in org.eclipse.draw2d that return UpdateManager
Modifier and Type
Method
Description
`protected UpdateManager`
SubordinateUpdateManager.`getSuperior()`
Deprecated.
Returns the superior update manager.
`UpdateManager`
Figure.`getUpdateManager()`
`UpdateManager`
IFigure.`getUpdateManager()`
Returns the UpdateManager for this IFigure by reference.
`UpdateManager`
LightweightSystem.`getUpdateManager()`
Returns this LightweightSystem's UpdateManager.
`UpdateManager`
LightweightSystem.RootFigure.`getUpdateManager()`
Methods in org.eclipse.draw2d with parameters of type UpdateManager
Modifier and Type
Method
Description
`void`
LightweightSystem.`setUpdateManager(UpdateManager um)`
Sets this LightweightSystem's UpdateManager.